using LoginPI.Engine.ScriptBase;

public class Chrome : ScriptBase
{
    void Execute()
    {
        StartBrowser();
        //Opens / Starts the browser to the preferred URL
        //Command is Case-sensitive

        MainWindow.Maximize();
        //Maximize the Browser window

        FindAllWebComponentsBySelector("a[class='uk-button uk-button-large uk-button-ghost tm-button-teaser']")[0].Click();
		//Clickin on the "Learn More" Button on the website

        Wait(2);
        FindAllWebComponentsBySelector("input[class='uk-search-field']")[0].Click();
        FindAllWebComponentsBySelector("input[class='uk-search-field']")[0].Type("Windows 10");

        StartTimer("Loading_Search_Results");
        //Start measurement, spaces must be underscores.

        FindAllWebComponentsBySelector("input[class='uk-search-field']")[0].Type("{enter}");
        //Searching for Windows 10 

        FindWebComponentBySelector("button[class='btn btn-primary']");
        // checking if search button exists on the results page

        StopTimer("Loading_Search_Results");
        //End measurement, must be same name as StartTimer

        Wait(2);

        StopBrowser();
        //Closes the browser
        //Command is Case-sensitive
    }
}